/*
 * Exception: ProtocolAdaptorSendException
 *
 * $Id: ProtocolAdaptorSendException.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.protocol;

import es.rediris.aarr.AARRException;


/**
 * Exception thrown by the {@link ProtocolAdaptor#sendElement(String name, String[] components, String[] values) sendElement}
 * method in any {@link ProtocolAdaptor ProtocolAdaptor} implementing class when sending a response
 *
 * @author macias
 */
public class ProtocolAdaptorSendException extends AARRException {
    /** The protocol adaptor exception */
    public ProtocolAdaptorSendException() {
        super();
    }

    /** Protocol adaptor exception plus message
    @param message the message to be passed up */
    public ProtocolAdaptorSendException(String message) {
        super("\n\tProtocol adaptor read exception caught: " + message);
    }
}
