/*
 * Abstract class: Action
 *
 * $Id: Action.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.rules;

import org.w3c.dom.Element;


/**
 *  This abstract class defines the methods that an Action
 * must contain. These methods are used to access and modify
 * properties of an action.
 *
 * @author kan, macias
 */
public abstract class Action {
    /** name of an XML element named 'action' */
    public static final String nameElementXML = "action";

    /** Should return the name of the current Action
    @return the name of the current action */
    public abstract String getName();

    /** Set a new name for the current action
    @param name the name for the action */
    public abstract void setName(String name);

    /** Executes this action and returns the result

    @return A string with the result */
    public abstract String execute();

    /** This method returns true if the action has been previously executed
    @return true if yes*/
    public abstract boolean isEndState();
}
