/*
 * Abstract Class: Condition
 *
 * $Id: Condition.java,v 1.1.1.1 2005/05/22 17:00:49 macias Exp $
 */
package es.rediris.aarr.rules;

import org.w3c.dom.Element;


/**
 *   This abstract class defines the methods that a Condition
 * must contain. These methods are used to access and modify
 * properties in a condition.
 *
 * @author kan
 */
public abstract class Condition {
    /** name of an XML element named 'condition' */
    public static final String nameElementXML = "condition";

    /** Returns the name of the current condition
    @return the name of the current condition */
    public abstract String getName();

    /** Sets the name for this condition
    @param name the name of the Condition */
    public abstract void setName(String name);

    /** Returns true if this Condition needs a query
    @return True if the condition needs a query, or false */
    public abstract boolean needsAQuery();

    /** Checks if this Condition is TRUE or FALSE
    @return true if it verifies the condition, or false if it not
    */
    public abstract boolean checkCondition();
}
